SystemOrganization addCategory: #'60Deprecated-Kernel-Methods'!
SystemOrganization addCategory: #'60Deprecated-System-Support'!
SystemOrganization addCategory: #'60Deprecated-Collections-Streams'!
SystemOrganization addCategory: #'60Deprecated-Tools-Inspector'!

!UndefinedObject methodsFor: '*60Deprecated' stamp: ''!
suspend
	"Kills off processes that didn't terminate properly"
	"Display reverse; reverse."  "<-- So we can catch the suspend bug"
	Processor terminateActive! !

Object subclass: #ColorTheme
	instanceVariableNames: ''
	classVariableNames: 'Current'
	poolDictionaries: ''
	category: '60Deprecated-System-Support'!

!ColorTheme class methodsFor: 'applying' stamp: 'dgd 3/31/2006 12:25'!
apply
	^self new apply! !

!ColorTheme class methodsFor: 'applying' stamp: 'dgd 3/12/2006 13:08'!
applyTheme: aThemeClass 
	aThemeClass new apply! !

!ColorTheme class methodsFor: 'accessing' stamp: 'dgd 3/31/2006 12:07'!
current
	^ Current
		ifNil: [self defaultTheme apply]! !

!ColorTheme class methodsFor: 'accessing' stamp: 'dgd 11/2/2004 17:52'!
current: aColorTheme
	Current := aColorTheme! !

!ColorTheme class methodsFor: 'accessing' stamp: 'fbs 7/12/2013 09:21'!
defaultTheme
	^ self new.! !

!ColorTheme methodsFor: 'applying' stamp: 'mt 1/13/2016 08:18'!
apply
	"apply the receiver as the current theme"
	BalloonMorph balloonColor: self balloonColor.

	Preferences setParameter: #defaultWorldColor to: self defaultWorldColor.

	Preferences insertionPointColor: self insertionPointColor.
	Preferences keyboardFocusColor: self keyboardFocusColor.
	Preferences textHighlightColor: self textHighlightColor.

	Preferences setParameter: #menuTitleColor to: self menuTitleColor.
	Preferences setParameter: #menuTitleBorderColor to: self menuTitleBorderColor.
	Preferences setParameter: #menuTitleBorderWidth to: self menuTitleBorderWidth.
	Preferences setParameter: #menuColor to: self menuColor.
	Preferences setParameter: #menuBorderColor to: self menuBorderColor.
	Preferences setParameter: #menuLineColor to: self menuLineColor.
	Preferences setParameter: #menuBorderWidth to: self menuBorderWidth.
	Preferences setParameter: #menuSelectionColor to: self menuSelectionColor.

	SystemProgressMorph reset.

	self class current: self.
! !

!ColorTheme methodsFor: 'theme' stamp: 'fbs 7/6/2013 15:33'!
balloonColor
	^ TranslucentColor
			r: 0.92
			g: 0.92
			b: 0.706
			alpha: 0.75! !

!ColorTheme methodsFor: 'theme' stamp: 'dgd 11/2/2004 21:23'!
cancelColor
	^ Color lightRed! !

!ColorTheme methodsFor: 'theme' stamp: 'fbs 7/6/2013 15:34'!
defaultWorldColor
	^ Color blue muchLighter! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/3/2004 19:27'!
dialog3DTitles
	^ true! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/2/2004 19:56'!
dialogBorderColor
	^ Color fromArray: #(0.355 0.516 1.0 )! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/2/2004 19:54'!
dialogBorderWidth
	^ 4! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/2/2004 19:59'!
dialogButtonBorderWidth
	^ 0! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/2/2004 21:09'!
dialogColor
	^ Color paleYellow! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/3/2004 19:49'!
dialogPaneBorderColor
	^ Color black
! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/3/2004 19:44'!
dialogPaneBorderWidth
	^ 0! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/3/2004 19:30'!
dialogPaneRampOrColor
	^ {0.0 -> (Color r: 0.742 g: 0.871 b: 1.0).
		1.0 -> (Color r: 0.516 g: 0.645 b: 1.0)}! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/3/2004 19:38'!
dialogRampOrColor
	^ {0.0 -> (Color r: 0.516 g: 0.645 b: 1.0).
		1.0 -> (Color r: 0.742 g: 0.871 b: 1.0)}! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/2/2004 21:18'!
dialogTextBoxBorderColor
	^ Color black! !

!ColorTheme methodsFor: 'theme - dialogs' stamp: 'dgd 11/2/2004 21:18'!
dialogTextBoxColor
	^ Color white! !

!ColorTheme methodsFor: 'theme' stamp: 'MAD 3/14/2010 14:58'!
disabledColor
	^ Color lightGray! !

!ColorTheme methodsFor: 'theme - dockingbar' stamp: 'fbs 7/6/2013 15:34'!
dockingBarAutoGradient
	^ true! !

!ColorTheme methodsFor: 'theme - dockingbar' stamp: 'fbs 7/6/2013 15:34'!
dockingBarColor
	^ Color r: 0.6 g: 0.7 b: 1! !

!ColorTheme methodsFor: 'theme - dockingbar' stamp: 'fbs 7/6/2013 15:35'!
dockingBarGradientRamp
	^ { 0.0 -> Color white.
		1.0 -> (Color r: 0.6 g: 0.7 b: 1) }! !

!ColorTheme methodsFor: 'theme' stamp: 'fbs 7/6/2013 15:35'!
helpColor
	^ Color lightGreen! !

!ColorTheme methodsFor: 'theme' stamp: 'fbs 7/6/2013 15:35'!
insertionPointColor
	^ Color red! !

!ColorTheme methodsFor: 'theme' stamp: 'fbs 7/6/2013 15:35'!
keyboardFocusColor
	^ Color r: 0.6 g: 1 b: 1! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:36'!
menuBorderColor
	^ Color r: 0.2 g: 0.3 b: 0.9! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:36'!
menuBorderWidth
	^ 2! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:36'!
menuColor
	^ Color r: 0.85 g: 0.9 b: 1! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:36'!
menuLineColor
	^ Color r: 0.6 g: 0.7 b: 1! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:37'!
menuSelectionColor
	^ Color r: 0.2 g: 0.3 b: 0.9! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:37'!
menuTitleBorderColor
	^ Color r: 0.6 g: 0.7 b: 1! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:37'!
menuTitleBorderWidth
	^ 6! !

!ColorTheme methodsFor: 'theme - menus' stamp: 'fbs 7/6/2013 15:37'!
menuTitleColor
	^ Color r: 0.6 g: 0.7 b: 1! !

!ColorTheme methodsFor: 'theme' stamp: 'dgd 11/2/2004 21:22'!
okColor
	^ Color lightGreen! !

!ColorTheme methodsFor: 'theme' stamp: 'fbs 7/6/2013 15:37'!
textHighlightColor
	^ Color blue muchLighter alpha: 0.7! !

!Object methodsFor: '*60Deprecated-copying' stamp: 'ul 4/25/2017 18:36'!
clone
	"Answer a shallow copy of the receiver."

	self deprecated: 'Use #shallowCopy'.
	^self shallowCopy! !

!Object methodsFor: '*60Deprecated-Tools' stamp: 'mt 4/5/2018 10:14'!
exploreAndYourself
	
	self deprecated: 'Use #explore because it does not return the tool window anymore. Only calls via ToolSet do so.'.
	self explore! !

!ObjectExplorer methodsFor: '*60Deprecated-Tools' stamp: 'tpr 5/10/2018 14:38'!
classHierarchy
	"Create and schedule a class list browser on the receiver's hierarchy."

	self deprecated: 'Use #browseClassHierarchy instead'.
	self browseClassHierarchy
! !

!EllipseMorph methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/11/2018 08:56'!
doesBevels
	self deprecated: 'Use border styles such as InsetBorder or RaisedBorder.'.
	^ false! !

!Utilities class methodsFor: '*60Deprecated-identification' stamp: 'mt 4/17/2018 15:49'!
setAuthorInitials: aString

	"mt: Not now (17/04/2018) for SmalltalkCI. See: https://github.com/hpi-swa/smalltalkCI/issues/368
	self deprecated: 'Use #authorInitials:.'."
	
	self authorInitials: aString.! !

Inspector subclass: #ExternalStructureInspector
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: '60Deprecated-Tools-Inspector'!

!ExternalStructureInspector methodsFor: 'accessing' stamp: 'hg 2/28/2000 14:20'!
fieldList
	^  (Array with: 'self: ', object defaultLabelForInspector with: 'all inst vars'), self recordFieldList! !

!ExternalStructureInspector methodsFor: 'accessing' stamp: 'gk 3/1/2005 12:07'!
recordFieldList
	| fields |
	fields := object class fields.
	(fields first isKindOf: Array) ifFalse: [fields := Array with: fields].
	^fields collect: [ :field | field first ] thenSelect: [:name | name notNil]! !

!ExternalStructureInspector methodsFor: 'selecting' stamp: 'hg 2/28/2000 14:12'!
replaceSelectionValue: anObject 
	"Add colon to fieldname to get setter selector, and send it to object with the argument.
	 Refer to the comment in Inspector|replaceSelectionValue:."

	selectionIndex = 1
		ifTrue: [^object]
		ifFalse: [^object perform: ((self fieldList at: selectionIndex), ':') asSymbol with: anObject]! !

!ExternalStructureInspector methodsFor: 'selecting' stamp: 'hg 2/28/2000 14:22'!
selection 
	"Refer to the comment in Inspector|selection."
	selectionIndex = 0 ifTrue:[^object printString].
	selectionIndex = 1 ifTrue: [^object].
	selectionIndex = 2 ifTrue:[^object longPrintString].
	selectionIndex > 2
		ifTrue: [^object perform: (self fieldList at: selectionIndex)]! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:36'!
checkBoxOffColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self checkBoxOff dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:36'!
checkBoxOnColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self checkBoxOn dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:36'!
checkBoxPressedColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self checkBoxPressed dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:36'!
fullscreenWireframeIconColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self fullscreenWireframeIcon dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:36'!
radioButtonOffColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self radioButtonOff dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:37'!
radioButtonOnColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self radioButtonOn dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:37'!
radioButtonPressedColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self radioButtonPressed dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:37'!
squeakLogoIconColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self squeakLogoIcon dyed: aColor! !

!MenuIcons class methodsFor: '*60Deprecated' stamp: 'mt 3/29/2018 14:37'!
subMenuMarkerColorized: aColor

	self deprecated: 'Use Form >> #dyed: to dye forms.'.
	^ self subMenuMarker dyed: aColor! !

!RaisedBorder methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/23/2018 09:04'!
colorsAtCorners

	| c c14 c23 |
	self deprecated: 'See #topLeftColor and #bottomRightColor.'.
	c := self color.
	c14 := c lighter. c23 := c darker.
	^Array with: c14 with: c23 with: c23 with: c14! !

!Morph methodsFor: '*60Deprecated-user-interface' stamp: 'tfel 9/23/2016 16:50'!
becomeModal
	
	self deprecated: 'The global becomeModal is no longer supported, use e.g. a dialog window'.
	"self currentWorld
		ifNotNil: [self currentWorld modalWindow: self]"! !

!Morph methodsFor: '*60Deprecated-meta-actions' stamp: 'mt 6/29/2017 17:12'!
blueButtonDown: anEvent
	"Nothing."
	
	self deprecated: 'Use #mouseDown:.'.! !

!Morph methodsFor: '*60Deprecated-meta-actions' stamp: 'mt 6/29/2017 17:12'!
blueButtonUp: anEvent
	"Ignored. Theoretically we should never get here since control is transferred to the halo on #blueButtonDown: but subclasses may implement this differently."
	
	self deprecated: 'Use #mouseUp:.'.! !

!Morph methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/11/2018 08:57'!
doesBevels
	"To return true means that this object can show bevelled borders, and
	therefore can accept, eg, #raised or #inset as valid borderColors.
	Must be overridden by subclasses that do not support bevelled borders."

	self deprecated: 'Use border styles such as InsetBorder or RaisedBorder.'.
	^ false! !

!Morph methodsFor: '*60Deprecated-meta-actions' stamp: 'mt 6/29/2017 17:09'!
handlerForBlueButtonDown: anEvent
	
	self deprecated: 'Use #handlerForMouseDown:.'.
	^ nil! !

!Morph methodsFor: '*60Deprecated-meta-actions' stamp: 'mt 6/30/2017 09:12'!
handlerForMetaMenu: evt
	
	self deprecated: 'Use #handlerForMouseDown: or #wantsMetaMenu or #mouseDownPriority.'.
	^ nil! !

!Morph methodsFor: '*60Deprecated-MorphicExtras-accessing' stamp: 'pre 6/8/2018 16:47'!
highlightOnlySubmorph: aMorph
	"Distinguish only aMorph with border highlighting (2-pixel wide red); make all my other submorphs have one-pixel-black highlighting.  This is a rather special-purpose and hard-coded highlighting regime, of course.  Later, if someone cared to do it, we could parameterize the widths and colors via properties, or some such."

	self deprecated: 'Do not use at all anymore. This was a specialized call for the objects tool which does not work in a general way on arbitrary morphs.'.
	self submorphs do:
		[:m |
			m == aMorph
				ifTrue: [m borderWidth: 1; borderColor: Color red. m firstSubmorph color: Color red]
				ifFalse: [m borderWidth: 1; borderColor: Color black. m firstSubmorph color: Color black]].
! !

!CompiledCode methodsFor: '*60Deprecated-printing' stamp: 'mt 5/24/2018 09:27'!
printSignatureOn: aStream
	
	self deprecated: 'Use #printReferenceOn:.'.
	^ self printReferenceOn: aStream! !

Context variableSubclass: #ContextPart
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: '60Deprecated-Kernel-Methods'!

ContextPart variableSubclass: #BlockContext
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: '60Deprecated-Kernel-Methods'!

ContextPart variableSubclass: #MethodContext
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: '60Deprecated-Kernel-Methods'!

!ComplexBorder methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/23/2018 09:03'!
widthForRounding

	self deprecated: 'See BalloonCanvas for drawing rounded corners.'.
	^0! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:21'!
menuBorderColor

	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #borderColor for: #MenuMorph) ifNil: [(Color r: 0.2 g: 0.3 b: 0.9)]! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:21'!
menuBorderWidth

	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #borderWidth for: #MenuMorph) ifNil: [2]! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:21'!
menuColor
	
	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #color for: #MenuMorph) ifNil: [(Color r: 0.9 g: 0.9 b: 0.9)]! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:21'!
menuLineColor
	
	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #lineColor for: #MenuMorph) ifNil: [(Color r: 0.6 g: 0.7 b: 1)]! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:20'!
menuSelectionColor
	
	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #selectionColor for: #MenuItemMorph) ifNil: [(Color r: 0.4 g: 0.5 b: 0.7)]! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:21'!
menuTitleBorderColor
	
	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #titleBorderColor for: #MenuMorph) ifNil: [(Color r: 0.6 g: 0.7 b: 1)]! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:21'!
menuTitleBorderWidth
	
	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #titleBorderWidth for: #MenuMorph) ifNil: [0]! !

!Preferences class methodsFor: '*60Deprecated-menu colors' stamp: 'mt 8/24/2016 09:21'!
menuTitleColor
	
	self deprecated: 'mt: Use UI themes.'.
	^ (UserInterfaceTheme current get: #titleColor for: #MenuMorph) ifNil: [ Color transparent]! !

!Behavior methodsFor: '*60Deprecated-testing method dictionary' stamp: 'eem 3/13/2018 20:34'!
thoroughWhichSelectorsReferTo: literal special: specialFlag byte: specialByte
	"Answer a set of selectors whose methods access the argument as a 
	literal. Dives into the compact literal notation, making it slow but 
	thorough "

	self deprecated: 'Use whichSelectorsReferTo:thorough: instead'.
	^self whichSelectorsReferTo: literal special: specialFlag byte: specialByte thorough: true! !

!Behavior methodsFor: '*60Deprecated-testing method dictionary' stamp: 'eem 3/13/2018 17:02'!
whichSelectorsReferTo: literal special: specialFlag byte: specialByte
	"Answer a set of selectors whose methods access the argument as a literal."

	self deprecated: 'Use whichSelectorsReferTo: instead'.
	^self whichSelectorsReferTo: literal special: specialFlag byte: specialByte thorough: false! !

!Behavior methodsFor: '*60Deprecated-testing method dictionary' stamp: 'eem 3/13/2018 17:01'!
whichSelectorsReferTo: literal special: specialFlag byte: specialByte thorough: thorough
	"Answer a set of selectors whose methods access the argument as a literal. If thorough is true, then dives into the compact literal notation, making it slow but thorough "

	| who |
	self deprecated: 'Use whichSelectorsReferTo:thorough: instead'.
	who := IdentitySet new.
	self selectorsAndMethodsDo: [ :selector :method |
		(((thorough
			ifFalse: [ method hasLiteral: literal ]
			ifTrue: [ method hasLiteralThorough: literal ]) or: [
				specialFlag and: [ method scanFor: specialByte ] ]) and: [
			literal isVariableBinding not or: [
				"N.B. (method indexOfLiteral: literal) < method numLiterals copes with l;ooking for
				Float bindingOf: #NaN, since (Float bindingOf: #NaN) ~= (Float bindingOf: #NaN)."
				(method indexOfLiteral: literal) ~= 0] ]) ifTrue: [
			who add: selector ] ].
	^who! !

!PasteUpMorph methodsFor: '*60Deprecated-accessing' stamp: 'tfel 9/23/2016 16:51'!
modalWindow: aMorph

	self deprecated: 'The global becomeModal is no longer supported, use e.g. a dialog window'.
	"(self valueOfProperty: #modalWindow)
		ifNotNil: [:morph | morph doCancel].
	self setProperty: #modalWindow toValue: aMorph.
	aMorph
		ifNotNil: [self
				when: #aboutToLeaveWorld
				send: #removeModalWindow
				to: self]"! !

!PasteUpMorph methodsFor: '*60Deprecated-accessing' stamp: 'tfel 9/23/2016 16:50'!
removeModalWindow
	self deprecated: 'The global becomeModal is no longer supported, use e.g. a dialog window'.
	"self modalWindow: nil"! !

!BorderedMorph methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/11/2018 08:56'!
doesBevels
	"To return true means that this object can show bevelled borders, and
	therefore can accept, eg, #raised or #inset as valid borderColors.
	Must be overridden by subclasses that do not support bevelled borders."

	self deprecated: 'Use border styles such as InsetBorder or RaisedBorder.'.
	^ false! !

!StandardToolSet class methodsFor: '*60Deprecated-inspecting' stamp: 'mt 2/6/2018 10:15'!
inspectorClassOf: anObject
	
	self deprecated: 'Use #inspectorClass.'.
	^ anObject inspectorClass! !

!BorderStyle methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/23/2018 08:58'!
colorsAtCorners

	self deprecated: 'See #topLeftColor and #bottomRightColor.'.
	^Array new: 4 withAll: self color! !

!BorderStyle methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/23/2018 09:01'!
dotOfSize: diameter forDirection: aDirection

	self deprecated: 'See Form for such convenience functions.'.
	^ Form dotOfSize: diameter color: self color! !

!BorderStyle methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/23/2018 09:02'!
widthForRounding

	self deprecated: 'See BalloonCanvas for drawing rounded corners.'.
	^self width! !

!String methodsFor: '*60Deprecated-user interface' stamp: 'mt 1/25/2018 08:11'!
openInWorkspaceWithTitle: aTitle
	"Open up a workspace with the receiver as its contents, with the given title"
	
	self deprecated: 'Use UIManager >> #edit:label:.'.
	UIManager default edit: self label: aTitle.! !

!SystemWindow methodsFor: '*60Deprecated-open/close' stamp: 'mt 4/5/2018 09:55'!
anyOpenWindowLikeMe
	
	self deprecated: 'Use #anyOpenWindowLikeMe: passing a concrete world object.'.
	^ self anyOpenWindowLikeMeIn: Project current world! !

!InsetBorder methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/23/2018 09:04'!
colorsAtCorners

	| c c14 c23 |
	self deprecated: 'See #topLeftColor and #bottomRightColor.'.

	c := self color.
	c14 := c lighter. c23 := c darker.
	^Array with: c23 with: c14 with: c14 with: c23.! !

QEncodingMimeConverter subclass: #RFC2047MimeConverter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: '60Deprecated-Collections-Streams'!

!Set methodsFor: '*60Deprecated-adding' stamp: 'eem 6/23/2017 12:04'!
addNewElement: anObject 
	"Ensure anObject is part of the receiver.  Answer whether its membership was newly acquired."
	| index |
	self deprecated: 'Use ifAbsentAdd: instead.'.
	index := self scanFor: anObject.
	^ (array at: index)
		ifNil:
			[ self
				atNewIndex: index
				put: anObject asSetElement.
			true ]
		ifNotNil: [ false ]! !

!SmalltalkImage methodsFor: '*60Deprecated-special objects' stamp: 'eem 3/13/2018 17:04'!
hasSpecialSelector: aLiteral ifTrueSetByte: aBlock

	self deprecated: 'Use BytecodeEncoder class>>scanBlockOrNilForLiteral:'.
	1 to: self specialSelectorSize do:
		[:index | 
		(self specialSelectorAt: index) == aLiteral
			ifTrue: [aBlock value: index + 16rAF. ^true]].
	^false! !

!TTSampleFontMorph methodsFor: '*60Deprecated-accessing' stamp: 'mt 4/11/2018 08:57'!
doesBevels
	self deprecated: 'Use border styles such as InsetBorder or RaisedBorder.'.
	^ false! !

!ToolSet class methodsFor: '*60Deprecated-inspecting' stamp: 'mt 2/6/2018 10:15'!
inspectorClassOf: anObject

	self deprecated: 'Use #inspectorClass.'.
	^ anObject inspectorClass! !
